<?php

namespace None\FXC\Seeders;

use DB;
use Illuminate\Database\Seeder;

class TestTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('none_f_x_c_tests')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'none.f_x_c.test.view',
                'name'      => 'View Test',
            ],
            [
                'slug'      => 'none.f_x_c.test.create',
                'name'      => 'Create Test',
            ],
            [
                'slug'      => 'none.f_x_c.test.edit',
                'name'      => 'Update Test',
            ],
            [
                'slug'      => 'none.f_x_c.test.delete',
                'name'      => 'Delete Test',
            ],
            
            
                    ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/f_x_c/test',
                'name'        => 'Test',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/f_x_c/test',
                'name'        => 'Test',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'test',
                'name'        => 'Test',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'FXC',
                'module'    => 'Test',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'none.f_x_c.test.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
