<?php

namespace None\FXC\Actions;

use Illuminate\Http\Request;
use Illuminate\Support\Str;
use None\FXC\Models\Test;
use Litepie\Actions\Concerns\AsAction;

class TestAction
{
    use AsAction;

    private $model;

    public function handle(Request $request, Test $test, string $action)
    {
        $this->model = $test;

        $function = Str::camel($action);
        return $this->$function($test, $request);
    }

    public function copy(Test $test, Request $request)
    {
        return $test;
    }

    public function empty(Test $test, Request $request)
    {
        return $test;
    }

}
