<?php

namespace None\FXC\Policies;

use Litepie\User\Interfaces\UserPolicyInterface;

trait TestExim
{

    /**
     * Determine if the given user can approve the given test.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function import(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('f_x_c.test.import')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given test.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function export(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('f_x_c.test.export')) {
            return true;
        }

        return false;
    }
}
