<?php


return  
    [
        'model' => [
            'model' => \None\FXC\Models\Test::class,
            'table' => 'none_f_x_c_tests',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'created_at', 'updated_at'],
            'appends' => [],
            'fillable' => ['Test Name',  'Test Description'],
            'translatables' => [],
            'upload_folder' => 'f_x_c/test',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            
        ],

        'form' => [
            
        ],

        'urls' => [
            'new' => [
                'url' => 'f_x_c/test/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'f_x_c/test/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'f_x_c/test',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'f_x_c/test',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'f_x_c/test',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'f_x_c/test',
                'method' => 'DELETE',
            ],
        ],
        'order' => [
            'created_at' => 'f_x_c::test.label.created_at',
            'name' => 'f_x_c::test.label.name',
            'status' => 'f_x_c::test.label.status',
        ],
        'groups' => [
            'main' => 'f_x_c::test.groups.main',
            'details' => 'f_x_c::test.groups.details',
            'images' => 'f_x_c::test.groups.images',
            'settings' => 'f_x_c::test.groups.settings',
        ],
        'controller' => [
            'provider' => 'None',
            'package' => 'FXC',
            'module' => 'Test',
        ],

        
         
        'actions' => [
            'copy' => [
                'type' => ['Details', 'List'],
                'label' => 'f_x_c::test.action.copy',
                'roles' => [
                    'user' => ['superuser', 'admin'],
                    'team' => ['admin'],
                    'permission' => ['f_x_c.test.copy', 'f_x_c.test.duplicate'],
                ],
                'form' => [
                    'count' => [
                        "element" => 'select',
                        "type" => 'select',
                        "label" => 'f_x_c::test.label.count',
                        "placeholder" => 'f_x_c::test.placeholder.count',
                        "options" => call_user_func(function () {
                            return [
                                1 => ['value' => 1, 'text' => 1],
                                2 => ['value' => 2, 'text' => 2],
                                3 => ['value' => 3, 'text' => 3],
                                4 => ['value' => 4, 'text' => 4],
                            ];
                        }),
                        "col" => "12",
                    ],
                    'comment' => [
                        "element" => 'textarea',
                        "type" => 'text',
                        "required" => 'required',
                        "label" => 'f_x_c::test.label.comment',
                        "placeholder" => 'f_x_c::test.placeholder.comment',
                        "col" => "12",
                    ],
                ],
            ],
            'empty' => [
                'type' => ['List', 'Details'],
                'label' => 'f_x_c::test.action.empty',
                'roles' => [
                    'user' => ['superuser'],
                ],
            ],
        ]
        
    ];
