<?php

namespace None\FXC\Actions;

use Illuminate\Http\Request;
use None\FXC\Models\Test;
use Litepie\Actions\Concerns\AsAction;
use Illuminate\Support\Str;

class TestActions
{
    use AsAction;
    private $model;

    public function handle(Request $request, string $action)
    {
        $this->model = app(Test::class);

        $function = Str::camel($action);
        return $this->$function($request);
    }

    public function sample(Request $request)
    {
        return $request;
    }
}
